////////////////////////////////////////////
// Res-Studios.net
///////////////////////////////////////////
class L2GPMikeJFireballProjectile extends P2Projectile;

var P2Emitter FireballEmitter;

simulated function PostBeginPlay()
{
    FireballEmitter = Spawn(class'L2GPMikeJFireballEmitter');

    if (FireballEmitter != None)
        FireballEmitter.SetBase(self);
}

simulated function ProcessTouch(Actor Other, Vector HitLocation)
{
    GenerateExplosion();
}

simulated function HitWall(vector HitNormal, Actor HitWall)
{
    GenerateExplosion();
}

simulated function GenerateExplosion()
{
    Spawn(class'L2GPMikeJFireballExplosion');
    Spawn(class'L2GPMikeJFireballSecondaryExplosion');

    if (FireballEmitter != None)
        FireballEmitter.Destroy();

    Destroy();
}

simulated function GenerateHarmlessExplosion()
{
    Spawn(class'L2GPHarmlessExplosion');

    if (FireballEmitter != None)
        FireballEmitter.Destroy();

    Destroy();
}

defaultproperties
{
}
