////////////////////////////////////////////
// Res-Studios.net
///////////////////////////////////////////
class L2GPZombieAW_Taliban extends L2GPZombieAWAnims
    placeable;

simulated function ZombieKilled(Controller KillerController, class<DamageType> DamageType, vector HitLocation)
{
    ChunkUp(0);
    SetCollision(false, false, false);

    if (Controller != None)
        Controller.Destroy();

    KillerController.PlayerReplicationInfo.Score += 2;
    KillerController.PlayerReplicationInfo.Kills++ ;

    PlayDying(DamageType, HitLocation);

    Controller.GotoState('Dead');
    GotoState('Dead');
}

simulated function ChunkUp(int Damage)
{
    Spawn(class'GrenadeExplosion');
    Spawn(class'AnthCloud');

    Super.ChunkUp(0);
}

defaultproperties
{
	 HeadClass=Class'Left2GoPostal.ZombieHead'
	 HeadMesh=SkeletalMesh'Left2GoPostalAnim.AvgFanatic'
	 HeadSkin=Texture'Left2GoPostalTex.Zombie_Heads.MFA__018__AvgFanatic'
     HealthMax=400.000000
     Health=400
     Mesh=SkeletalMesh'Characters.Avg_Dude'
     Skins(0)=Texture'Left2GoPostalTex.bomber'
}
